Alerta de Segurança Debian

DSA-654-1 enscript -- várias vulnerabilidades

Data do Alerta:
21 Jan 2005
Pacotes Afetados:
enscript
Vulnerável:
Sim
Referência à base de dados de segurança:
No dicionário CVE do Mitre: CVE-2004-1184, CVE-2004-1185, CVE-2004-1186.
Informações adicionais:

Erik Sjölund descobriu vários problemas relativos à segurança no enscript, um programa para converter texto ASCII em Postscript e outros formatos. O projeto Common Vulnerabilities and Exposures identificou as seguintes vulnerabilidades:

  • CAN-2004-1184

    Entrada não-sanitizada pode causar a execução de comandos arbitrários através do suporte a pipe EPSF. Este suporte foi desabilitado, inclusive pelos desenvolvedores originais.

  • CAN-2004-1185

    Devido à falta de sanitização de nomes de arquivos é possível que um nome de arquivo criado especialmente possa levar a execução de código arbitrário.

  • CAN-2004-1186

    Vários estouros de buffer podem fazer o programa quebrar.

Geralmente, o enscript é executado apenas localmente, mas como ele é executado dentro do viewcvs alguns dos problemas mencionados acima podem ser facilmente transformadas em vulnerabilidade remota.

Na distribuição estável (woody), estes problemas foram corrigidos na versão 1.6.3-1.3.

Na distribuição instável (sid), estes problemas foram corrigidos na versão 1.6.4-6.

Nós recomendamos que você atualize seu pacote enscript.

Corrigido em:

Debian GNU/Linux 3.0 (woody)

Fonte:
http://security.debian.org/pool/updates/main/e/enscript/enscript_1.6.3-1.3.dsc
http://security.debian.org/pool/updates/main/e/enscript/enscript_1.6.3-1.3.diff.gz
http://security.debian.org/pool/updates/main/e/enscript/enscript_1.6.3.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/e/enscript/enscript_1.6.3-1.3_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/e/enscript/enscript_1.6.3-1.3_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/e/enscript/enscript_1.6.3-1.3_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/e/enscript/enscript_1.6.3-1.3_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/e/enscript/enscript_1.6.3-1.3_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/e/enscript/enscript_1.6.3-1.3_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/e/enscript/enscript_1.6.3-1.3_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/e/enscript/enscript_1.6.3-1.3_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/e/enscript/enscript_1.6.3-1.3_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/e/enscript/enscript_1.6.3-1.3_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/e/enscript/enscript_1.6.3-1.3_sparc.deb

Checksums MD5 dos arquivos listados estão disponíveis no alerta original.